import UserRightType from "../models/type/user_right.js";

const initializeUserRights = async() => {

    await UserRightType.findOrCreate({
        where: { title: "mainadmin"},
        defaults: { title: "mainadmin"}
    });
    await UserRightType.findOrCreate({
        where: { title: "contactrequests"},
        defaults: { title: "contactrequests"}
    });
    await UserRightType.findOrCreate({
        where: { title: "useradministration"},
        defaults: { title: "useradministration"}
    });
    await UserRightType.findOrCreate({
        where: { title: "forum"},
        defaults: { title: "forum"}
    });
    await UserRightType.findOrCreate({
        where: { title: "rights"},
        defaults: { title: "rights"}
    });
    await UserRightType.findOrCreate({
        where: { title: "interests"},
        defaults: { title: "interests"}
    });
    await UserRightType.findOrCreate({
        where: { title: "falukant"},
        defaults: { title: "falukant"}
    });
    await UserRightType.findOrCreate({
        where: { title: "developer"},
        defaults: { title: "developer"}
    });
    await UserRightType.findOrCreate({
        where: { title: "match3"},
        defaults: { title: "match3"}
    });
};

export default initializeUserRights;
